<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "cpo_news"	                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: beta2 / June 2012 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['cpo_news'] as $k=>$v) {
        if (!isset($_POST['cpo_newsNew'][$k])) continue;
        if (is_bool($activeModules['cpo_news'][$k])) {
            $activeModules['cpo_news'][$k] = (bool) $_POST['cpo_newsNew'][$k];
        } else {
			$activeModules['cpo_news'][$k] = $_POST['cpo_newsNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpo_newsNew'])) unset($new_settings['cpo_newsNew'][$k]);
    }
    foreach ($new_settings['cpo_newsNew'] as $k=>$v) {
		$activeModules['cpo_news'][$k] = $new_settings['cpo_newsNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['cpo_news'])),
			'cpo_news'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
    __('ConPresso news'),
    __('In this view you can work on the ConPresso news settings.'),
	modHelp('settings','cpo_news'),
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

if(array_key_exists('cpo_news', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('ConPresso news settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Internal news title:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpo_newsNew[newsTitle]" value="'.$activeModules['cpo_news']['newsTitle'].'" maxlength="30" size="30">';
		echo '<br />'.__('<b>Usage:</b> %s will be replaced by project name.');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('News rubric:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpo_newsNew[newsRubric]">';
		$db->query("SELECT id, name FROM ".CPO_RUBRIC." ORDER BY name");
		while ($db->next_record()) {
			printf('<option value="%d" %s>%s</option>',
				htmlspecialchars($db->v('id')),
				$activeModules['cpo_news']['newsRubric']==$db->v('id') ? 'selected' : '',
				htmlspecialchars($db->v('name'))
			); 
		}
		echo '</select>';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('News articles count:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpo_newsNew[newsCount]" value="'.$activeModules['cpo_news']['newsCount'].'" maxlength="2" size="2">';
		echo '</td>';
	echo '</tr>';

	
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('RSS title:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpo_newsNew[rssTitle]" value="'.$activeModules['cpo_news']['rssTitle'].'" maxlength="30" size="30">';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('RSS feeds:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<textarea rows="5" class="text inputwidth" name="cpo_newsNew[rssFeeds]" >' . $activeModules['cpo_news']['rssFeeds'] . '</textarea>';
		echo '<br />'.__('<b>Syntax:</b> Title to display;URL separated by line feed.');
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('RSS articles count:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpo_newsNew[rssCount]" value="'.$activeModules['cpo_news']['rssCount'].'" maxlength="2" size="2">';
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';
	}
	
	echo '</form>';

require(CPO_BASEDIR.'_include/footer.php');
?>
